Get a log of changes for line items
curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/line_itemsimport requests
url = "https://api.hubapi.com/crm-objects/v1/change-log/line_items"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/crm-objects/v1/change-log/line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"price",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 9845651,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity",
"hs_product_id"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"quantity"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 9867373,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"hs_product_id",
"quantity",
"price",
"name",
"description"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]v1
Get a log of changes for line items
Create a new line item. The request body should be a list of properties you want to set for the new line item, with each entry being the internal name of the property to be set, and the value of that property. You must set the hs_product_id property when creating a line item. This property needs to be the objectId of a product object, and represents the product being sold.
GET
/
crm-objects
/
v1
/
change-log
/
line_items
Get a log of changes for line items
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Create a new line item
The response is of type object.
最終更新日 2026年4月10日
⌘I